import { MarginProps, Prop } from '@modulz/radix-system';
declare type Variants = 'gray' | 'blue' | 'green' | 'red' | 'yellow';
declare type Sizes = 0 | 1;
declare type BadgeProps = MarginProps & {
    variant?: Prop<Variants>;
    size?: Prop<Sizes>;
};
export declare const Badge: import("styled-components").StyledComponent<"span", any, BadgeProps, never>;
export {};
